Subject: Re: 'Tail' bug linked to file size
From: Chris Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 5 Jul 1999 14:38:14 -0400

This is one of those bugs that is not crucial so it is probably not
going to be fixed any time soon, at least by anyone at Cygnus.

If someone would like to submit a bug to fix this behavior I'll be happy
to apply it.

cgf

On Mon, Jul 05, 1999 at 10:46:36AM +0200, [email-masked] wrote:
>I found that when a file has a size of 11265 bytes, the 'tail' command
>ignores the last line of the file.
>
>Here's an example:
>I created a text file of 11264 bytes long (two lines of 'x' actually), run
>the two commands below,
>then added one character to the first line, saved the file, run the
>commands again, added another
>character and issued the commands again.  Here's the result:
>
>bash.exe-2.02$ ls -l tmp2 ; tail -1 tmp2
>-rw-r--r--   1 544      everyone    11264 Jul  5 10:07 tmp2
>xx
>bash.exe-2.02$ ls -l tmp2 ; tail -1 tmp2
>-rw-r--r--   1 544      everyone    11265 Jul  5 10:08 tmp2
>bash.exe-2.02$ ls -l tmp2 ; tail -1 tmp2
>-rw-r--r--   1 544      everyone    11266 Jul  5 10:08 tmp2
>xx
>bash.exe-2.02$ tail --version
>tail (GNU textutils) 1.22
>
>The script above shows that when the file is exactly 11265 bytes long, the
>last line is no longer displayed by the 'tail' command.

--
Want to unsubscribe from this list?
Send a message to [email-masked]